<?php

/* * ********************************************************************
 * ProxmoxAddon product developed. (Aug 14, 2018)
 * *
 *
 *  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
 *  CONTACT                        ->       contact@modulesgarden.com
 *
 *
 * This software is furnished under a license and may be used and copied
 * only  in  accordance  with  the  terms  of such  license and with the
 * inclusion of the above copyright notice.  This software  or any other
 * copies thereof may not be provided or otherwise made available to any
 * other person.  No title to and  ownership of the  software is  hereby
 * transferred.
 *
 *
 * ******************************************************************** */

namespace ModulesGarden\ProxmoxAddon\App\Http\Admin;

use ModulesGarden\ProxmoxAddon\App\UI\IpLog\Pages\IpLogDataTable;
use ModulesGarden\ProxmoxAddon\App\UI\IpManagement\Pages\IpManagementDataTable;
use ModulesGarden\ProxmoxAddon\Core\Helper;
use ModulesGarden\ProxmoxAddon\Core\Http\AbstractController;

/**
 * Description of IpManagament
 *
 * @author Pawel Kopec <pawelk@modulesgardne.com>
 */
class IpManagement extends AbstractController
{

    public function index()
    {
        return Helper\view()
            ->addElement(IpManagementDataTable::class);
    }

    public function management()
    {
        return $this->index();
    }

    public function log()
    {
        return Helper\view()
            ->addElement(IpLogDataTable::class);
    }
}
